# Class CIM_ClassModification
extends CIM_ClassIndication

CIM_ClassModification notifies when a class definition in the schema is modified.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Indication
|
+--CIM_ClassIndication
|
+--CIM_ClassModification

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_ClassModification notifies when a class definition in the schema is modified.
Indication | boolean | true
UMLPackagePath | string | CIM::Event
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
PreviousClassDefinition | string |
Description | string | A copy of the 'previous' class definition whose change generated the Indication. PreviousClassDefinition contains an 'older' copy of the class' information, as compared to what is found in the ClassDefinition property (inherited from ClassIndication).
EmbeddedObject | boolean | true
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
ClassDefinition | string | CIM_ClassIndication
IndicationFilterName | string | CIM_Indication
IndicationIdentifier | string | CIM_Indication
IndicationTime | datetime | CIM_Indication
OtherSeverity | string | CIM_Indication
PerceivedSeverity | uint16 | CIM_Indication
SequenceContext | string | CIM_Indication
SequenceNumber | sint64 | CIM_Indication
CorrelatedIndications | string[] | CIM_Indication

## Class Methods